<?php

namespace App\Classes\Modules\Orders\DataTransferObjects;


class ItemObject
{

    /** @var string */
    private $description;

    /** @var string */
    private $unitOfMeasurment;

    /** @var float */
    private $quantity;

    /** @var double */
    private $price;

    /** @var string */
    private $currency;

    /**
     * ItemObject constructor.
     * @param string $description
     * @param string $unitOfMeasurment
     * @param float $quantity
     * @param float $price
     * @param string $currency
     */
    public function __construct(string $description, string $unitOfMeasurment, float $quantity, float $price, string $currency)
    {
        $this->description = $description;
        $this->unitOfMeasurment = $unitOfMeasurment;
        $this->quantity = $quantity;
        $this->price = $price;
        $this->currency = $currency;
    }

    /**
     * @return string
     */
    public function getDescription(): string
    {
        return $this->description;
    }

    /**
     * @return string
     */
    public function getUnitOfMeasurment(): string
    {
        return $this->unitOfMeasurment;
    }

    /**
     * @return float
     */
    public function getQuantity(): float
    {
        return $this->quantity;
    }

    /**
     * @return float
     */
    public function getPrice(): float
    {
        return $this->price;
    }

    /**
     * @return string
     */
    public function getCurrency(): string
    {
        return $this->currency;
    }


}